org.apache.tinkerpop.gremlin.process.traversal.strategy.verification

## Class ReservedKeysVerificationStrategy.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy.Builder<ReservedKeysVerificationStrategy,ReservedKeysVerificationStrategy.Builder>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.ReservedKeysVerificationStrategy.Builder

- Enclosing class:
    ReservedKeysVerificationStrategy

      public static final class ReservedKeysVerificationStrategy.Builder
      extends AbstractWarningVerificationStrategy.Builder<ReservedKeysVerificationStrategy,ReservedKeysVerificationStrategy.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy.Builder

      `logWarning, throwException`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReservedKeysVerificationStrategy` | `create()`
    `ReservedKeysVerificationStrategy.Builder` | `reservedKeys(Set<String> keys)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.AbstractWarningVerificationStrategy.Builder

      `logWarning, logWarning, throwException, throwException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### reservedKeys

          public ReservedKeysVerificationStrategy.Builder reservedKeys(Set<String> keys)

    - #### create

          public ReservedKeysVerificationStrategy create()

      Specified by:
        `create` in class `AbstractWarningVerificationStrategy.Builder<ReservedKeysVerificationStrategy,ReservedKeysVerificationStrategy.Builder>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.